/// <reference types="node" />
import { FastifyBaseLogger, FastifyInstance, FastifyRequest } from 'fastify';
import { PubSubConfig, PubSubHandler } from './types';
export interface PubSubHandlerFastifyConfig<Data, Context> extends PubSubConfig<Data, Context> {
    handler: PubSubHandler<Data, Context, FastifyBaseLogger>;
    context?: (req?: FastifyRequest) => Context | Promise<Context>;
}
export declare const pubSubFastifyPlugin: <Data, Context>(instance: FastifyInstance<import("fastify").RawServerDefault, import("http").IncomingMessage, import("http").ServerResponse<import("http").IncomingMessage>, FastifyBaseLogger, import("fastify").FastifyTypeProviderDefault>, opts: PubSubHandlerFastifyConfig<Data, Context>) => Promise<void>;
