"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPubSubRequest = void 0;
const types_1 = require("../types");
const json_schema_faker_1 = require("json-schema-faker");
function createPubSubRequest(input, stringify = true) {
    const data = json_schema_faker_1.JSONSchemaFaker.generate(types_1.pubSubRequestSchema);
    data.message.data = Buffer.from(stringify ? JSON.stringify(input) : input).toString('base64');
    return data;
}
exports.createPubSubRequest = createPubSubRequest;
//# sourceMappingURL=fixtures.js.map