import { PubSubHandler, PubSubHandlerResponse, PubSubMessage } from './types';
export interface HandlePubSubMessageArgs<Data, Context, Logger> {
    message: PubSubMessage;
    handler: PubSubHandler<Data, Context, Logger>;
    parseJson?: boolean;
    parser?: (data: unknown) => Data | Promise<Data>;
    context: Context;
    log: Logger;
}
export declare function handlePubSubMessage<Data, Context, Logger>(args: HandlePubSubMessageArgs<Data, Context, Logger>): Promise<PubSubHandlerResponse | void>;
